Upstream information

CVE-2020-17538 at MITRE

Description

A buffer overflow vulnerability in GetNumSameData() in contrib/lips4/gdevlips.c of Artifex Software GhostScript v9.50 allows a remote attacker to cause a denial of service via a crafted PDF file. This is fixed in v9.51.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 5.5
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1175719 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 ghostscript-library Ignore
SLED-10-SP4 ghostscript-library Ignore
SLES for SAP Applications ghostscript-library Ignore
SLES-10-SP3 ghostscript-library Ignore
SLES-10-SP4 ghostscript-library Ignore
SLES_LTSS-10-SP4 ghostscript-library Ignore
SUSE Linux Enterprise 15 Module for Basesystem ghostscript Already fixed
SUSE Linux Enterprise 15-SP1 Module for Basesystem ghostscript Already fixed
SUSE Linux Enterprise 15-SP2 Module for Basesystem ghostscript Already fixed
SUSE Linux Enterprise Desktop 11 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Desktop 12 ghostscript Already fixed
SUSE Linux Enterprise Desktop 12 SP1 ghostscript Already fixed
SUSE Linux Enterprise Desktop 12 SP2 ghostscript Already fixed
SUSE Linux Enterprise Desktop 12 SP3 ghostscript Already fixed
SUSE Linux Enterprise Desktop 12 SP4 ghostscript Already fixed
SUSE Linux Enterprise Desktop 12 SP5 ghostscript Already fixed
SUSE Linux Enterprise Enterprise Server 11 SP1 for SAP Enterprise Search ghostscript-library Ignore
SUSE Linux Enterprise High Performance Computing 12 SP2 ghostscript Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP3 ghostscript Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP4 ghostscript Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 ghostscript Already fixed
SUSE Linux Enterprise High Performance Computing 15 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 11 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP1 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP2 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP2 for VMware ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP3 for VMware ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Server 11 SP4 LTSS ghostscript-library Ignore
SUSE Linux Enterprise Server 12 ghostscript Already fixed
SUSE Linux Enterprise Server 12 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP1 ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP1 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP2 ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP2 BCL ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP2 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP3 ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP3 BCL ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP3 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP4 ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP4 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server 12 SP5 ghostscript Already fixed
SUSE Linux Enterprise Server 15 LTSS ghostscript Already fixed
SUSE Linux Enterprise Server ESPOS 15 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP2 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ghostscript Already fixed
SUSE Linux Enterprise Server for SAP Business All-in-One ghostscript-library Ignore
SUSE Linux Enterprise Server for the Raspberry Pi ghostscript Already fixed
SUSE Linux Enterprise Software Development Kit 11 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP1 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP2 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP3 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 11 SP4 ghostscript-library Ignore
SUSE Linux Enterprise Software Development Kit 12 ghostscript Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP1 ghostscript Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP3 ghostscript Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 ghostscript Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 ghostscript Already fixed